T_Locations = {
	"Abyssal Depths",
	"Ahn'kahet: The Old Kingdom",
	"Arathi Highlands",
	"Ashenvale",
	"Ashran",
	"Auchenai Crypts",
	"Azjol-Nerub",
	"Azshara",
	"Azuremyst Isle",
	"Badlands",
	"Blackfathom Deeps",
	"Blade's Edge Mountains",
	"Blasted Lands",
	"Bloodmyst Isle",
	"Borean Tundra",
	"Burning Steppes",
	"The Cape of Stranglethorn",
	"Crystalsong Forest",
	"Darkshore",
	"Desolace",
	"The Deadmines",
	"Deepholm",
	"Dire Maul",
	"Dragonblight",
	"Drak'Tharon Keep",
	"Dread Wastes",
	"Dun Morogh",
	"Durotar",
	"Duskwood",
	"Dustwallow Marsh",
	"Eastern Plaguelands",
	"Elwynn Forest",
	"Eversong Woods",
	"Felwood",
	"Feralas",
	"Frostfire Ridge",
	"Frostwall",
	"Ghostlands",
	"Gilneas",
	"Gilneas City",
	"Gorgrond",
	"Grizzly Hills",
	"Gundrak",
	"Halls of Stone",
	"Hellfire Peninsula",
	"Hillsbrad Foothills",
	"The Hinterlands",
	"Howling Fjord",
	"The Jade Forest",
	"Icecrown",
	"Icecrown Citadel",
	"Isle of Quel'Danas",
	"Kelp'thar Forest",
	"Krasarang Wilds",
	"Kun-Lai Summit",
	"Loch Modan",
	"The Lost Isles",
	"Lunarfall",
	"Mana-Tombs",
	"Maraudon",
	"Mount Hyjal",
	"Mulgore",
	"Nagrand",
	"Netherstorm",
	"Northern Barrens",
	"Northern Stranglethorn",
	"The Oculus",
	"Razorfen Downs",
	"Razorfen Kraul",
	"Redridge Mountains",
	"Searing Gorge",
	"Sethekk Halls",
	"Shado-Pan Monastery",
	"Shadow Labyrinth",
	"Shadowmoon Valley",
	"Shimmering Expanse",
	"Sholazar Basin",
	"Siege of Niuzao Temple",
	"Silithus",
	"Silverpine Forest",
	"The Slave Pens",
	"Southern Barrens",
	"Spires of Arak",
	"The Steamvault",
	"Stonetalon Mountains",
	"The Storm Peaks",
	"Swamp of Sorrows",
	"Tanaris",
	"Talador",
	"Teldrassil",
	"Temple of the Jade Serpent",
	"Terokkar Forest",
	"Thousand Needles",
	"Timeless Isle",
	"Tirisfal Glades",
	"Tol Barad",
	"Tol Barad Peninsula",
	"Townlong Steppes",
	"Twilight Highlands",
	"Uldaman",
	"Uldum",
	"Utgarde Keep",
	"The Underbog",
	"Un'Goro Crater",
	"Utgarde Pinnacle",
	"Vale of Eternal Blossoms",
	"Valley of the Four Winds",
	"The Veiled Stair",
	"Wailing Caverns",
	"The Wandering Isle",
	"Western Plaguelands",
	"Westfall",
	"Wetlands",
	"Wintergrasp",
	"Winterspring",
	"Zangarmarsh",
	"Zul'Drak"
}

------------------
-- Herb info --
------------------
T_Herbalism = {
	-- Vanilla herbs --
	["765"] = { -- Silverleaf
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {8, 9, 14, 19, 27, 28, 32, 33, 38, 39, 40, 56, 57, 62, 65, 80, 90, 95, 110, 112};
	};
	["2447"] = { -- Peacebloom
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {8, 9, 14, 19, 27, 28, 32, 33, 38, 39, 40, 56, 57, 62, 65, 90, 95, 110, 112};
	};
	["2449"] = { -- Earthroot
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {8, 9, 14, 19, 27, 28, 32, 33, 38, 39, 40, 56, 57, 62, 65, 90, 95, 110, 112};
	};
	["2452"] = { -- Swiftthistle
		[1] = {Skill["Van"][1],T_Text[4]};
		[2] = {T_Herb2[5],T_Herb2[6]};
	};
	["785"] = { -- Mageroyal
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {4, 8, 14, 19, 29, 38, 46, 56, 65, 70, 80, 82, 85, 90, 109, 112, 113};
	};
	["2450"] = { -- Briarthorn
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {4, 8, 14, 19, 29, 38, 46, 56, 65, 69, 70, 80, 82, 85, 112, 113};
	};
	["3820"] = { -- Stranglekelp
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {4, 11, 14, 17, 19, 30, 38, 46, 47, 66, 87, 93, 111, 112, 113};
	};
	["2453"] = { -- Bruiseweed
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 4, 11, 14, 29, 38, 46, 47, 56, 65, 66, 70, 85, 112, 113};
	};
	["3355"] = { -- Wild Steelbloom
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 4, 20, 29, 47, 66, 85, 113};
	};
	["3369"] = { -- Grave Moss
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 29, 46, 68, 113};
	};
	["3357"] = { -- Liferoot
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 4, 17, 20, 30, 31, 47, 64, 66, 82, 93, 111, 113};
	};
	["3356"] = { -- Kingsblood
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 4, 20, 29, 30, 35, 47, 66, 82, 109, 111, 113};
	};
	["3818"] = { -- Fadeleaf
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 17, 30, 35, 47, 69, 111};
	};
	["3821"] = { -- Goldthorn
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 17, 20, 30, 35, 47, 68};
	};
	["3819"] = { -- Dragon's Teeth
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {10};
	};
	["3358"] = { -- Khadgar's Whisker
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 17, 20, 30, 31, 35, 47, 82, 111};
	};
	["8831"] = { -- Purple Lotus
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {34};
	};
	["8838"] = { -- Sungrass
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {10, 16, 31, 71, 79, 82, 88, 102};
	};
	["8836"] = { -- Arthas' Tears
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {31, 34, 68, 111};
	};
	["4625"] = { -- Firebloom
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {10, 16, 71, 88};
	};
	["8845"] = { -- Ghost Mushroom
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {102, 116};
	};
	["8846"] = { -- Gromsblood
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {4, 13, 20, 34};
	};
	["8839"] = { -- Blindweed
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {35, 47, 60, 102, 111, 116};
	};
	["13464"] = { -- Golden Sansam
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {10, 13, 34, 45, 64, 79, 87, 116};
	};
	["13463"] = { -- Dreamfoil
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {10, 16, 34, 45, 79, 102, 116};
	};
	["13466"] = { -- Sorrowmoss
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {87};
	};
	["13465"] = { -- Mountain Silversage
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {13, 45, 79, 102, 115};
	};
	["13467"] = { -- Icecap
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {115};
	};
	["8153"] = { -- Wildvine
		[1] = {Skill["Van"][1],T_Text[6]};
		[2] = {T_Herb2[20]};
	};
	["13468"] = { -- Black Lotus
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {13, 31, 79, 115};
	};
	
	-- The Burning Crusade herbs --
	["22789"] = { -- Terocone
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {75, 92};
	};
	["22787"] = { -- Ragveil
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {81, 102, 116};
	};
	["22792"] = { -- Nightmare Vine
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 45, 75};
	};
	["22791"] = { -- Netherbloom
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {64};
	};
	["22793"] = { -- Mana Thistle
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 52, 63, 64, 75, 92};
	};
	["22785"] = { -- Felweed
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 45, 63, 64, 75, 81, 92, 102, 116};
	};
	["22786"] = { -- Dreaming Glory
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 45, 63, 64, 75, 92, 116};
	};
	["22790"] = { -- Ancient Lichen
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {6, 59, 72, 74, 81, 84, 102};
	};
	["22794"] = { -- Fel Lotus
		[1] = {Icon["Bc"]..Skill[1],"At other herbs:"..T_Text[7]};
		[2] = {T_Herb2[29], T_Herb2[30], T_Herb2[31], T_Herb2[32], T_Herb2[33], T_Herb2[34], T_Herb2[35], T_Herb2[36], "|cffffffff[Flame Cap]|r", "|cffffffff[Netherdust Bush]|r"};
	};
	
	-- Wrath of the Lich King herbs --
	["36904"] = { -- Tiger Lily
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {7, 15, 42, 48, 77};
	};
	["36907"] = { -- Talandra's Rose
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {2, 25, 42, 43};
	};
	["36905"] = { -- Lichbloom
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {50, 86, 114};
	};
	["36906"] = { -- Icethorn
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {50, 86, 105, 114};
	};
	["36901"] = { -- Goldclover
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {7, 15, 24, 42, 48, 77};
	};
	["39970"] = { -- Fire Leaf
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {15};
		[3] = {"|cffffffff[Firethorn]|r"};
	};
	["37921"] = { -- Deadnettle
		[1] = {Icon["Wrath"]..Skill["Van"][4],T_Text[1]};
		[2] = {T_Herb2[37], T_Herb2[38], T_Herb2[39]};
	};
	["36903"] = { -- Adder's Tongue
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {25, 43, 77};
	};
	["36908"] = { -- Frost Lotus
		[1] = {Icon["Wrath"]..Skill[1],"At node: "..T_Text[1].. " & At other herbs:"..T_Text[7]};
		[2] = {4};
		[3] = {T_Herb2[37], T_Herb2[38], T_Herb2[39], T_Herb2[40], T_Herb2[41], T_Herb2[42], T_Herb2[43], "|cffffffff[Firethorn]|r"};
	};
	
	-- Cataclysm herbs --
	["52984"] = { -- Stormvine
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {1, 53, 61, 76};
	};
	["52983"] = { -- Cinderbloom
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {22, 61, 96, 97, 99, 101};
	};
	["52986"] = { -- Heartblossom
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {22};
	};
	["52985"] = { -- Azshara's Veil
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {1, 53, 61, 76, 97};
	};
	["52988"] = { -- Whiptail
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {96, 101};
	};
	["52987"] = { -- Twilight Jasmine
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {99};
	};
	
	-- Pandaria herbs --
	["89639"] = { -- Desecrated Herb
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {26, 49, 55, 107};
		[3] = {"Sha-Touched Herb"};
	};
	["79010"] = { -- Snow Lily
		[1] = {Icon["Mop"]..Skill[1],"At node: "..T_Text[1].. " & At other herbs:"..T_Text[6]};
		[2] = {18, T_Text[1]};
		[3] = {"|cffffffff[Sha-Touched Herb]|r"};
	};
	["72235"] = { -- Silkweed
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {18, T_Text[1]};
	};
	["79011"] = { -- Fool's Cap
		[1] = {Icon["Mop"]..Skill[1],"At node: "..T_Text[1].. " & At other herbs:"..T_Text[6]};
		[2] = {18, T_Text[1]};
		[3] = {"|cffffffff[Sha-Touched Herb]|r"};
	};
	["72237"] = { -- Rain Poppy
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {18, T_Text[1]};
	};
	["72234"] = { -- Green Tea Leaf
		[1] = {Icon["Mop"]..Skill[1],"At node: "..T_Text[1].. " & At other herbs:"..T_Text[4]};
		[2] = {18, T_Text[1]};
		[3] = {"|cffffffff[Sha-Touched Herb]|r"};
	};	
	["72238"] = { -- Golden Lotus
		[1] = {Icon["Mop"]..Skill[1],"At node: "..T_Text[1].. " & At other herbs:"..T_Text[8]};
		[2] = {4};
		[3] = {T_Herb2[51], T_Herb2[52], T_Herb2[53], T_Herb2[55], T_Herb2[56], "|cffffffff[Sha-Touched Herb]|r"};
	};
	
	-- Warlords of Draenor herbs --
	["109125"] = { -- Fireweed
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 36, 37, 58, 83};
	};
	["109124"] = { -- Frostweed
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 36, 37, 58, 75, 83};
	};
	["109126"] = { -- Gorgrond Flytrap
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 37, 41, 58, 83};
	};
	["109127"] = { -- Starflower
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 37, 58, 75, 83};
	};
	["109128"] = { -- Nagrand Arrowbloom
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 37, 58, 63, 83, 89};
	};
	["109129"] = { -- Talador Orchid
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 37, 58, 83, 89};
	};
}

----------------------
-- Mining info --
----------------------

T_Mining = {
	-- Vanilla ores --
	["2770"] = { -- Copper Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {4, 5, 9, 10, 14, 19, 21, 27, 28, 29, 32, 33, 38, 39, 40, 56, 57, 62, 65, 70, 80, 82, 85, 93, 95, 109, 110, 112, 113};
	};
	["2771"] = { -- Tin Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 4, 8, 10, 11, 14, 19, 21, 29, 30, 38, 46, 47, 56, 65, 66, 70, 80, 85, 109, 112, 113};
	};
	["2775"] = { -- Silver Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 14, 17, 19, 20, 21, 29, 30, 35, 46, 47, 56, 65, 66, 70, 80, 82, 85, 93, 113};
	};
	["2772"] = { -- Iron Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 10, 17, 20, 29, 30, 31, 35, 47, 66, 69, 82, 93, 100, 111, 113};
	};
	["2776"] = { -- Gold Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 10, 16, 17, 20, 29, 30, 31, 34, 35, 66, 71, 82, 88, 93, 104, 111};
	};
	["3858"] = { -- Mithril Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 10, 16, 30, 31, 34, 35, 60, 71, 88, 93, 100, 104};
	};
	["10620"] = { -- Thorium Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {13, 23, 79, 87, 104, 115};
	};
	["7911"] = { -- Truesilver Ore
		[1] = {Skill["Van"][1],T_Text[1]};
		[2] = {3, 10, 13, 16, 30, 31, 34, 35, 47, 71, 79, 88, 87, 93, 104, 115};
	};
	
	
	-- The Burning Crusade ores --
	["23424"] = { -- Fel Iron Ore
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 45, 63, 64, 75, 84, 92, 116};
	};
	["23425"] = { -- Adamantite Ore
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {6, 12, 52, 59, 63, 64, 72, 74, 75, 81, 84, 92, 116};
	};
	["23426"]= { -- Khorium Ore
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[2] = {12, 52, 63, 64, 75, 92};
	};
	["23427"] = { -- Eternium Ore
		[1] = {Icon["Bc"]..Skill[1],T_Text[1]};
		[3] = {T_Ores2[6], T_Ores2[7], "|cff1eff00[Khorium Ore]|r"};
	};
	
	-- Wrath of the Lich King ores --
	["36909"] = { -- Cobalt Ore
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {15, 18, 24, 42, 48, 86, 102, 117};
	};
	["36912"] = { -- Saronite Ore
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {18, 24, 44, 50, 51, 77, 86, 114, 117};
	};
	["36910"] = { -- Titanium Ore
		[1] = {Icon["Wrath"]..Skill[1],T_Text[1]};
		[2] = {18, 24, 50, 77, 86, 114};
	};
	
	-- Cataclysm ores --
	["53038"] = { -- Obsidium Ore
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {1, 22, 53, 61, 76};
	};
	["52185"] = { -- Elementium Ore
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {22, 96, 97, 99, 101};
	};
	["52183"] = { -- Pyrite Ore
		[1] = {Icon["Cata"]..Skill[1],T_Text[1]};
		[2] = {96, 97, 99, 101};
	};
	
	-- Pandaria ores --
	["72092"] = { -- Ghost Iron Ore
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {26, 49, 54, 55, 73, 94, 98, 106, 107, 108};
	};
	["72093"] = { -- Kyparite
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {26, 78, 98};
	};
	["72094"] = { -- Black Trillium Ore
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {26, 49, 55, 94, 98, 105, 106};
	};
	["72103"] = { -- White Trillium Ore
		[1] = {Icon["Mop"]..Skill[1],T_Text[1]};
		[2] = {26, 49, 55, 94, 98, 105, 106};
	};
	
	-- Warlords of Draenor ores --
	["109118"] = { -- Blackrock Ore
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 36, 37, 41, 58, 63, 75, 83, 89};
	};
	["109119"] = { -- True Iron Ore
		[1] = {Icon["Wod"]..Skill[1],T_Text[1]};
		[2] = {5, 36, 37, 41, 58, 63, 75, 83, 89};
	};
}